<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ytpm.dao.AppMapper">

    <select id="selectRiskApp" resultType="com.ytpm.agent.model.YtApp">
        select
            app_id, app_key, app_name, user_id, app_type, apk_url, qr_code, version_code, update_tips, enabled, store_on_sale, store_type, store_url, package_name, domain, category, sub_category, coppa, screen_orientation, ccpa, feign_path, ditch_id, ditch_name, superior_id
        from yt_app
        where app_id = #{appId}
    </select>
    <select id="selectParentApp" resultType="com.ytpm.agent.model.YtPlatformUserApp">
        select
            app_id, app_name, user_id, app_type, detail_url, package_name, domain, issued_time, wx_app_id, wx_secret, sale_price, grant_type, charge_status, feign_class_path, service_name, create_time, create_user_id, update_time, update_user_id, available
        from yt_platform_user_app
        where app_id = #{appId}
    </select>
</mapper>